# ActionItem QML Type

A visual representation of an Action. The API of ActionItem is a copy of the API of Action, with additional properties to define visual aspects of the ActionItem. More...

Import Statement: | import Lomiri.Components 1.3
Inherited By: | AbstractButton, BottomEdgeHint, and ToolbarButton

- List of all members, including inherited members

## Properties

- action : Action
- iconName : string
- iconSource : url
- text : string

## Signals

- triggered(var value)

## Methods

- void trigger(var value)

## Detailed Description

If action is set, the values of the other properties will by default be identical to the Action's property values. Setting the other properties will override the properties copied from the Action.

## Property Documentation

action : Action

The Action associated with this ActionItem. If action is set, the values of the Action properties are copied to the values of the ActionItem properties, unless those were previously overridden.

iconName : string

The icon associated with the actionItem in the suru icon theme. Defaults to `action.iconName`.

Note: The complete list of icons available in Lomiri is not published yet. For now please refer to the folders where the icon themes are installed:

- Lomiri Touch: /usr/share/icons/suru
- Lomiri Desktop: /usr/share/icons/lomiri-mono-dark

These 2 separate icon themes will be merged soon.

If both iconSource and iconName are defined, iconName will be ignored.

iconSource : url

The image associated with the ActionItem. Defaults to `action.iconSource`.

This is the URL of any image file. If both iconSource and iconName are defined, iconName will be ignored.

text : string

The title of the actionItem. Defaults to the `action.text`.

## Signal Documentation

triggered(var value)

Called when the actionItem is triggered.

Note: The corresponding handler is `onTriggered`.

## Method Documentation

void trigger(var value)

Trigger this action item if it is enabled.